| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| srcTangibleId | yes | string | ID of the old tangible |
| newTangibleId | yes | string | ID of the new tangible |
| newTangibleName | yes | string | Name of the new tangible |
| force | no | bool | default is false. Held objects/tangibles are not allowed to be modified by default unless the user has permission and explicitly sets force=true. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation replaceRelation { replaceRelation(input: { srcTangibleId: \"testtangibleid1\", newTangibleId: \"testtangibleid2\", newTangibleName: \"abc\" }) { errorCode errorInfo } }"
}'{
"data": {
"replaceRelation ": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}